@call "%~dp0config.bat" 0 > nul
if [%1]==[] goto :eof

set endzeit=%1
if [%endzeit:~0,1%]==[0] set "endzeit= %endzeit:~1%"
if [%endzeit:~1,1%]==[:] set "endzeit= %endzeit%"
if not [%2]==[] (
  echo Warte bis morgen
  call :tage
) else (
  if not [%Tag%]==[%date:~0,2%] goto :eof
)

echo Systemzeit:  %TIME:~0,5%
echo Warten bis:  %endzeit%
:minuten
if "%TIME:~0,5%" geq "%endzeit%" goto ende
sleep 60
goto minuten

:tage
sleep 3600
if [%Tag%]==[%date:~0,2%] goto :tage
  
:ende
echo.